package com.srs.diagnostic.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.diagnostic.domain.DiaReportRelease;
import com.srs.diagnostic.domain.DiaReports;

import javax.servlet.http.HttpServletRequest;

/**
 * 诊断报告基础信息Service接口
 *
 * @author srs
 * @date 2025-03-21
 */
public interface IDiaReportsService extends IService<DiaReports> {
    /**
     * 查询诊断报告基础信息
     *
     * @param reportId 诊断报告基础信息主键
     * @return 诊断报告基础信息
     */
    public DiaReports selectDiaReportsByReportId(int reportId);

    /**
     * 查询诊断报告基础信息列表
     *
     * @param diaReports 诊断报告基础信息
     * @return 诊断报告基础信息集合
     */
    List<DiaReports> selectDiaReportsList(DiaReports diaReports);
    /**
     * 查询模板列表
     *
     * @param diaReports 诊断报告基础信息
     * @return 模板集合
     */
    List<DiaReports> getNameList(DiaReports diaReports);

    /**
     * 新增诊断报告基础信息
     *
     * @param diaReports 诊断报告基础信息
     * @return 结果
     */
    int insertDiaReports(DiaReports diaReports);

    /**
     * 修改诊断报告基础信息
     *
     * @param diaReports 诊断报告基础信息
     * @return 结果
     */
    int updateDiaReports(DiaReports diaReports);

    /**
     * 批量删除诊断报告基础信息
     *
     * @param reportIds 需要删除的诊断报告基础信息主键集合
     * @return 结果
     */
    int deleteDiaReportsByReportIds(int[] reportIds);

    /**
     * 删除诊断报告基础信息信息
     *
     * @param reportId 诊断报告基础信息主键
     * @return 结果
     */
    int deleteDiaReportsByReportId(int reportId);

    /**
     * 绑定下拉框数据
     *
     * @param
     * @return 结果
     */
    List<DiaReports> xlkList( );


}
